summaryrefslogtreecommitdiff
path: root/dev-ruby/execjs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-29 01:14:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-29 01:14:48 +0000
commitc8f45231f94156664389f13688eb131370e54017 (patch)
tree1abe68fac4687d3e1ba340f547ef1b70cb2e0c7f /dev-ruby/execjs
parente9b322e33efb88c425004b3f35f5ec2bce056562 (diff)
downloadbaldeagleos-repo-c8f45231f94156664389f13688eb131370e54017.tar.gz
baldeagleos-repo-c8f45231f94156664389f13688eb131370e54017.tar.xz
baldeagleos-repo-c8f45231f94156664389f13688eb131370e54017.zip
Adding metadata
Diffstat (limited to 'dev-ruby/execjs')
-rw-r--r--dev-ruby/execjs/execjs-2.8.1-r1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/execjs/execjs-2.8.1-r1.ebuild b/dev-ruby/execjs/execjs-2.8.1-r1.ebuild
new file mode 100644
index 000000000000..c7be19c05ace
--- /dev/null
+++ b/dev-ruby/execjs/execjs-2.8.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+inherit ruby-fakegem
+
+DESCRIPTION="ExecJS lets you run JavaScript code from Ruby"
+HOMEPAGE="https://github.com/rails/execjs"
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x64-macos"
+
+IUSE="test"
+
+# execjs supports various javascript runtimes. They are listed in order
+# as per the documentation. For now only include the ones already in the
+# tree.
+
+RDEPEND+=" || ( dev-ruby/duktape-rb net-libs/nodejs )"
+
+all_ruby_prepare() {
+ sed -i -e "/bundler/d" Rakefile || die
+ # Avoid test requiring network connectivity. We could potentially
+ # substitute dev-ruby/coffee-script-source for this.
+ sed -i -e '/test_coffeescript/,/end/ s:^:#:' test/test_execjs.rb || die
+}